Closed Bug 1707582 Opened 7 months ago Closed 2 months ago

Intermittent /modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for bookmark-item in bookmarks_bar. - "undefined" == 1 - JS frame :: /browser/modules/test/browser/browser_UsageTelemetry_interaction.js :: assert

Categories

(Firefox :: Toolbars and Customization, defect, P3)

defect

Tracking

()

RESOLVED FIXED
94 Branch
Tracking Status
firefox-esr78 --- unaffected
firefox-esr91 --- fixed
firefox92 --- wontfix
firefox93 --- fixed
firefox94 --- fixed

People

(Reporter: intermittent-bug-filer, Assigned: mconley)

Details

(Keywords: intermittent-failure, Whiteboard: [stockwell disable-recommended])

Attachments

(1 file)

Filed by: malexandru [at] mozilla.com
Parsed log: https://treeherder.mozilla.org/logviewer?job_id=337719353&repo=autoland
Full log: https://firefox-ci-tc.services.mozilla.com/api/queue/v1/task/JwLAa5tGT9C9z0sfC_83mw/runs/0/artifacts/public/logs/live_backing.log


[task 2021-04-26T12:46:49.760Z] 12:46:49     INFO - TEST-START | browser/modules/test/browser/browser_UsageTelemetry_interaction.js
[task 2021-04-26T12:46:49.783Z] 12:46:49     INFO - GECKO(2219) | JavaScript error: chrome://browser/content/places/browserPlacesViews.js, line 131: Error: No DOM node set for aPlacesNode.
[task 2021-04-26T12:46:49.783Z] 12:46:49     INFO - GECKO(2219) | node.type: 0. node.parent: [xpconnect wrapped nsINavHistoryResultNode]
[task 2021-04-26T12:46:50.197Z] 12:46:50     INFO - GECKO(2219) | console.error: CustomizableUI:
[task 2021-04-26T12:46:50.197Z] 12:46:50     INFO - GECKO(2219) |   Could not localize property '12foo.label'.
[task 2021-04-26T12:46:50.197Z] 12:46:50     INFO - GECKO(2219) | console.error: CustomizableUI:
[task 2021-04-26T12:46:50.197Z] 12:46:50     INFO - GECKO(2219) |   Could not localize property '12foo.tooltiptext'.
[task 2021-04-26T12:46:50.671Z] 12:46:50     INFO - TEST-INFO | started process screencapture
[task 2021-04-26T12:46:50.951Z] 12:46:50     INFO - TEST-INFO | screencapture: exit 0
[task 2021-04-26T12:46:50.951Z] 12:46:50     INFO - Buffered messages logged at 12:46:49
[task 2021-04-26T12:46:50.951Z] 12:46:50     INFO - Entering test bound toolbarButtons
[task 2021-04-26T12:46:50.951Z] 12:46:50     INFO - Console message: [JavaScript Error: "Error: No DOM node set for aPlacesNode.
[task 2021-04-26T12:46:50.951Z] 12:46:50     INFO - node.type: 0. node.parent: [xpconnect wrapped nsINavHistoryResultNode]" {file: "chrome://browser/content/places/browserPlacesViews.js" line: 131}]
[task 2021-04-26T12:46:50.951Z] 12:46:50     INFO - PVB__getDOMNodeForPlacesNode@chrome://browser/content/places/browserPlacesViews.js:131:13
[task 2021-04-26T12:46:50.951Z] 12:46:50     INFO - PBV_nodeMoved@chrome://browser/content/places/browserPlacesViews.js:637:20
[task 2021-04-26T12:46:50.951Z] 12:46:50     INFO - 
[task 2021-04-26T12:46:50.951Z] 12:46:50     INFO - Buffered messages logged at 12:46:50
[task 2021-04-26T12:46:50.951Z] 12:46:50     INFO - Global property added while loading chrome://browser/content/browser-allTabsMenu.js: TabsPanel
[task 2021-04-26T12:46:50.952Z] 12:46:50     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for alltabs-button in tabs_bar. - 1 == 1 - 
[task 2021-04-26T12:46:50.952Z] 12:46:50     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for tab-close-button in tabs_bar. - 1 == 1 - 
[task 2021-04-26T12:46:50.952Z] 12:46:50     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for back-button in nav_bar. - 2 == 2 - 
[task 2021-04-26T12:46:50.952Z] 12:46:50     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for 12foo in nav_bar. - 1 == 1 - 
[task 2021-04-26T12:46:50.952Z] 12:46:50     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for stop-reload-button in nav_bar. - 1 == 1 - 
[task 2021-04-26T12:46:50.952Z] 12:46:50     INFO - Buffered messages finished
[task 2021-04-26T12:46:50.952Z] 12:46:50     INFO - TEST-UNEXPECTED-FAIL | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for bookmark-item in bookmarks_bar. - "undefined" == 1 - JS frame :: chrome://mochitests/content/browser/browser/modules/test/browser/browser_UsageTelemetry_interaction.js :: assertInteractionScalars :: line 47
[task 2021-04-26T12:46:50.952Z] 12:46:50     INFO - Stack trace:
[task 2021-04-26T12:46:50.952Z] 12:46:50     INFO - chrome://mochitests/content/browser/browser/modules/test/browser/browser_UsageTelemetry_interaction.js:assertInteractionScalars:47
[task 2021-04-26T12:46:50.952Z] 12:46:50     INFO - chrome://mochitests/content/browser/browser/modules/test/browser/browser_UsageTelemetry_interaction.js:toolbarButtons/<:122
[task 2021-04-26T12:46:50.952Z] 12:46:50     INFO - Leaving test bound toolbarButtons
[task 2021-04-26T12:46:50.952Z] 12:46:50     INFO - Entering test bound contextMenu
[task 2021-04-26T12:46:51.039Z] 12:46:51     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for context-toggleMuteTab in tabs_context. - 1 == 1 - 
[task 2021-04-26T12:46:51.039Z] 12:46:51     INFO - Leaving test bound contextMenu
[task 2021-04-26T12:46:51.039Z] 12:46:51     INFO - Entering test bound appMenu
[task 2021-04-26T12:46:51.424Z] 12:46:51     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for PanelUI-menu-button in nav_bar. - 1 == 1 - 
[task 2021-04-26T12:46:51.424Z] 12:46:51     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for appMenu-find-button2 in app_menu. - 1 == 1 - 
[task 2021-04-26T12:46:51.460Z] 12:46:51     INFO - Leaving test bound appMenu
[task 2021-04-26T12:46:51.460Z] 12:46:51     INFO - Entering test bound devtools
[task 2021-04-26T12:46:52.156Z] 12:46:52     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for PanelUI-menu-button in nav_bar. - 1 == 1 - 
[task 2021-04-26T12:46:52.156Z] 12:46:52     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for appMenu-more-button2 in app_menu. - 1 == 1 - 
[task 2021-04-26T12:46:52.157Z] 12:46:52     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for key-viewSource in app_menu. - 1 == 1 - 
[task 2021-04-26T12:46:52.157Z] 12:46:52     INFO - Leaving test bound devtools
[task 2021-04-26T12:46:52.157Z] 12:46:52     INFO - Entering test bound webextension
[task 2021-04-26T12:46:52.473Z] 12:46:52     INFO - Extension loaded
[task 2021-04-26T12:46:52.535Z] 12:46:52     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for addon0 in nav_bar. - 1 == 1 - 
[task 2021-04-26T12:46:52.541Z] 12:46:52     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for addon0 in pageaction_urlbar. - 1 == 1 - 
[task 2021-04-26T12:46:52.550Z] 12:46:52     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for addon0 in keyboard. - 1 == 1 - 
[task 2021-04-26T12:46:52.643Z] 12:46:52     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for addon0 in keyboard. - 1 == 1 - 
[task 2021-04-26T12:46:52.643Z] 12:46:52     INFO - Extension loaded
[task 2021-04-26T12:46:52.682Z] 12:46:52     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for addon1 in nav_bar. - 1 == 1 - 
[task 2021-04-26T12:46:52.682Z] 12:46:52     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for addon1 in pageaction_urlbar. - 1 == 1 - 
[task 2021-04-26T12:46:52.682Z] 12:46:52     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for addon1 in keyboard. - 1 == 1 - 
[task 2021-04-26T12:46:52.682Z] 12:46:52     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for addon0 in nav_bar. - 1 == 1 - 
[task 2021-04-26T12:46:52.682Z] 12:46:52     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for addon0 in keyboard. - 1 == 1 - 
[task 2021-04-26T12:46:52.682Z] 12:46:52     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for addon0 in pageaction_urlbar. - 1 == 1 - 
[task 2021-04-26T12:46:52.713Z] 12:46:52     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for addon1 in nav_bar. - 2 == 2 - 
[task 2021-04-26T12:46:52.713Z] 12:46:52     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for addon1 in pageaction_urlbar. - 1 == 1 - 
[task 2021-04-26T12:46:52.713Z] 12:46:52     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for addon1 in keyboard. - 1 == 1 - 
[task 2021-04-26T12:46:52.722Z] 12:46:52     INFO - Leaving test bound webextension
[task 2021-04-26T12:46:52.722Z] 12:46:52     INFO - Entering test bound mainMenu
[task 2021-04-26T12:46:52.722Z] 12:46:52     INFO - Leaving test bound mainMenu
[task 2021-04-26T12:46:52.723Z] 12:46:52     INFO - Entering test bound preferences
[task 2021-04-26T12:46:52.868Z] 12:46:52     INFO - GECKO(2219) | JavaScript error: resource://testing-common/AppData.jsm, line 69: NS_ERROR_FAILURE:
[task 2021-04-26T12:46:52.878Z] 12:46:52     INFO - Console message: [JavaScript Error: "[Exception... "Component returned failure code: 0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH) [nsIXPCComponents_Utils.readUTF8URI]"  nsresult: "0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH)"  location: "JS frame :: resource://gre/modules/L10nRegistry.jsm :: L10nRegistry.loadSync :: line 692"  data: no]"]
[task 2021-04-26T12:46:52.878Z] 12:46:52     INFO - L10nRegistry.loadSync@resource://gre/modules/L10nRegistry.jsm:692:19
[task 2021-04-26T12:46:52.878Z] 12:46:52     INFO - fetchFile@resource://gre/modules/L10nRegistry.jsm:607:31
[task 2021-04-26T12:46:52.878Z] 12:46:52     INFO - generateResourceSetSync/<@resource://gre/modules/L10nRegistry.jsm:512:19
[task 2021-04-26T12:46:52.878Z] 12:46:52     INFO - generateResourceSetSync@resource://gre/modules/L10nRegistry.jsm:507:22
[task 2021-04-26T12:46:52.878Z] 12:46:52     INFO - generateResourceSetsForLocaleSync@resource://gre/modules/L10nRegistry.jsm:449:44
[task 2021-04-26T12:46:52.878Z] 12:46:52     INFO - generateBundlesSync@resource://gre/modules/L10nRegistry.jsm:186:7
[task 2021-04-26T12:46:52.878Z] 12:46:52     INFO - touchNext@resource://gre/modules/Localization.jsm:167:37
[task 2021-04-26T12:46:52.878Z] 12:46:52     INFO - generateBundles@resource://gre/modules/Localization.jsm:473:15
[task 2021-04-26T12:46:52.878Z] 12:46:52     INFO - getLanguageDisplayNames@resource://gre/modules/mozIntl.jsm:787:19
[task 2021-04-26T12:46:52.878Z] 12:46:52     INFO - getLocaleDisplayNames/<@resource://gre/modules/mozIntl.jsm:865:14
[task 2021-04-26T12:46:52.878Z] 12:46:52     INFO - getLocaleDisplayNames@resource://gre/modules/mozIntl.jsm:844:24
[task 2021-04-26T12:46:52.878Z] 12:46:52     INFO - displayUseSystemLocale@chrome://browser/content/preferences/main.js:1402:43
[task 2021-04-26T12:46:52.878Z] 12:46:52     INFO - init@chrome://browser/content/preferences/main.js:370:10
[task 2021-04-26T12:46:52.878Z] 12:46:52     INFO - init@chrome://browser/content/preferences/preferences.js:105:22
[task 2021-04-26T12:46:52.878Z] 12:46:52     INFO - 
[task 2021-04-26T12:46:52.878Z] 12:46:52     INFO - Console message: [JavaScript Error: "[Exception... "Component returned failure code: 0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH) [nsIXPCComponents_Utils.readUTF8URI]"  nsresult: "0x80520001 (NS_ERROR_FILE_UNRECOGNIZED_PATH)"  location: "JS frame :: resource://gre/modules/L10nRegistry.jsm :: L10nRegistry.loadSync :: line 692"  data: no]"]
[task 2021-04-26T12:46:52.878Z] 12:46:52     INFO - L10nRegistry.loadSync@resource://gre/modules/L10nRegistry.jsm:692:19
[task 2021-04-26T12:46:52.878Z] 12:46:52     INFO - fetchFile@resource://gre/modules/L10nRegistry.jsm:607:31
[task 2021-04-26T12:46:52.878Z] 12:46:52     INFO - generateResourceSetSync/<@resource://gre/modules/L10nRegistry.jsm:512:19
[task 2021-04-26T12:46:52.878Z] 12:46:52     INFO - generateResourceSetSync@resource://gre/modules/L10nRegistry.jsm:507:22
[task 2021-04-26T12:46:52.878Z] 12:46:52     INFO - generateResourceSetsForLocaleSync@resource://gre/modules/L10nRegistry.jsm:449:44
[task 2021-04-26T12:46:52.878Z] 12:46:52     INFO - generateBundlesSync@resource://gre/modules/L10nRegistry.jsm:186:7
[task 2021-04-26T12:46:52.878Z] 12:46:52     INFO - touchNext@resource://gre/modules/Localization.jsm:167:37
[task 2021-04-26T12:46:52.878Z] 12:46:52     INFO - generateBundles@resource://gre/modules/Localization.jsm:473:15
[task 2021-04-26T12:46:52.878Z] 12:46:52     INFO - getRegionDisplayNames@resource://gre/modules/mozIntl.jsm:814:19
[task 2021-04-26T12:46:52.878Z] 12:46:52     INFO - getLocaleDisplayNames/<@resource://gre/modules/mozIntl.jsm:874:16
[task 2021-04-26T12:46:52.878Z] 12:46:52     INFO - getLocaleDisplayNames@resource://gre/modules/mozIntl.jsm:844:24
[task 2021-04-26T12:46:52.878Z] 12:46:52     INFO - displayUseSystemLocale@chrome://browser/content/preferences/main.js:1402:43
[task 2021-04-26T12:46:52.878Z] 12:46:52     INFO - init@chrome://browser/content/preferences/main.js:370:10
[task 2021-04-26T12:46:52.878Z] 12:46:52     INFO - init@chrome://browser/content/preferences/preferences.js:105:22
[task 2021-04-26T12:46:52.878Z] 12:46:52     INFO - 
[task 2021-04-26T12:46:52.878Z] 12:46:52     INFO - Console message: [JavaScript Error: "NS_ERROR_FAILURE: " {file: "resource://testing-common/AppData.jsm" line: 69}]
[task 2021-04-26T12:46:52.878Z] 12:46:52     INFO - getFile@resource://testing-common/AppData.jsm:69:24
[task 2021-04-26T12:46:52.878Z] 12:46:52     INFO - _getDirectory@resource://gre/modules/DownloadIntegration.jsm:957:28
[task 2021-04-26T12:46:52.878Z] 12:46:52     INFO - getSystemDownloadsDirectory@resource://gre/modules/DownloadIntegration.jsm:334:41
[task 2021-04-26T12:46:52.878Z] 12:46:52     INFO - D_getSystemDownloadsDirectory@resource://gre/modules/Downloads.jsm:274:32
[task 2021-04-26T12:46:52.878Z] 12:46:52     INFO - _getDownloadsFolder@chrome://browser/content/preferences/main.js:3068:44
[task 2021-04-26T12:46:52.878Z] 12:46:52     INFO - _indexToFolder@chrome://browser/content/preferences/main.js:3109:21
[task 2021-04-26T12:46:52.878Z] 12:46:52     INFO - displayDownloadDirPrefTask@chrome://browser/content/preferences/main.js:3040:55
[task 2021-04-26T12:46:52.878Z] 12:46:52     INFO - 
[task 2021-04-26T12:46:53.159Z] 12:46:53     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for browserRestoreSession in preferences_paneGeneral. - 1 == 1 - 
[task 2021-04-26T12:46:53.159Z] 12:46:53     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for searchBarShownRadio in preferences_paneSearch. - 1 == 1 - 
[task 2021-04-26T12:46:53.182Z] 12:46:53     INFO - Leaving test bound preferences
[task 2021-04-26T12:46:53.223Z] 12:46:53     INFO - GECKO(2219) | MEMORY STAT | vsize 12739MB | residentFast 3037MB | heapAllocated 353MB
[task 2021-04-26T12:46:53.223Z] 12:46:53     INFO - TEST-OK | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | took 3471ms
[task 2021-04-26T12:46:53.233Z] 12:46:53     INFO - checking window state
[task 2021-04-26T12:46:53.257Z] 12:46:53     INFO - TEST-START | browser/modules/test/browser/browser_UsageTelemetry_numberOfSiteOriginsPerTabs.js```

Recomponenting to the component of the bug that created this test: bug 1620358

Component: Telemetry → Toolbars and Customization
Product: Toolkit → Firefox
Status: NEW → RESOLVED
Closed: 6 months ago
Resolution: --- → INCOMPLETE
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---

Update:

There have been 35 failures within the last 7 days:

  • 11 failures on OS X 11 WebRender Shippable opt
  • 10 failures on Windows 10 x64 2004 WebRender opt
  • 14 failures on Windows 10 x64 2004 WebRender Shippable opt

Recent failure log: https://treeherder.mozilla.org/logviewer?job_id=349843739&repo=autoland&lineNumber=5764

[task 2021-08-28T20:13:26.134Z] 20:13:26     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for stop-reload-button in nav_bar. - 1 == 1 - 
[task 2021-08-28T20:13:26.135Z] 20:13:26     INFO - Buffered messages finished
[task 2021-08-28T20:13:26.136Z] 20:13:26     INFO - TEST-UNEXPECTED-FAIL | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for bookmark-item in bookmarks_bar. - "undefined" == 1 - JS frame :: chrome://mochitests/content/browser/browser/modules/test/browser/browser_UsageTelemetry_interaction.js :: assertInteractionScalars :: line 47
[task 2021-08-28T20:13:26.136Z] 20:13:26     INFO - Stack trace:
[task 2021-08-28T20:13:26.137Z] 20:13:26     INFO - chrome://mochitests/content/browser/browser/modules/test/browser/browser_UsageTelemetry_interaction.js:assertInteractionScalars:47
[task 2021-08-28T20:13:26.137Z] 20:13:26     INFO - chrome://mochitests/content/browser/browser/modules/test/browser/browser_UsageTelemetry_interaction.js:toolbarButtons/<:120
[task 2021-08-28T20:13:26.137Z] 20:13:26     INFO - Leaving test bound toolbarButtons
[task 2021-08-28T20:13:26.138Z] 20:13:26     INFO - Entering test bound contextMenu
[task 2021-08-28T20:13:26.425Z] 20:13:26     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for context-toggleMuteTab in tabs_context. - 1 == 1 - 
Whiteboard: [stockwell needswork:owner]
Priority: -- → P3

There have been 33 total failures in the last 7 days, recent failure log.
Affected platforms are:

  • macosx1100-64-shippable-qr
  • windows10-64-2004-qr
  • windows10-64-2004-shippable-qr
[task 2021-09-03T13:46:17.980Z] 13:46:17     INFO - TEST-START | browser/modules/test/browser/browser_UsageTelemetry_interaction.js
[task 2021-09-03T13:46:18.295Z] 13:46:18     INFO - GECKO(7724) | console.error: CustomizableUI:
[task 2021-09-03T13:46:18.299Z] 13:46:18     INFO - GECKO(7724) |   Could not localize property '12foo.label'.
[task 2021-09-03T13:46:18.300Z] 13:46:18     INFO - GECKO(7724) | console.error: CustomizableUI:
[task 2021-09-03T13:46:18.300Z] 13:46:18     INFO - GECKO(7724) |   Could not localize property '12foo.tooltiptext'.
[task 2021-09-03T13:46:18.674Z] 13:46:18     INFO - TEST-INFO | started process screenshot
[task 2021-09-03T13:46:18.770Z] 13:46:18     INFO - TEST-INFO | screenshot: exit 0
[task 2021-09-03T13:46:18.779Z] 13:46:18     INFO - Buffered messages logged at 13:46:17
[task 2021-09-03T13:46:18.779Z] 13:46:18     INFO - Entering test bound toolbarButtons
[task 2021-09-03T13:46:18.779Z] 13:46:18     INFO - Buffered messages logged at 13:46:18
[task 2021-09-03T13:46:18.780Z] 13:46:18     INFO - Global property added while loading chrome://browser/content/browser-allTabsMenu.js: TabsPanel
[task 2021-09-03T13:46:18.781Z] 13:46:18     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for alltabs-button in tabs_bar. - 1 == 1 - 
[task 2021-09-03T13:46:18.781Z] 13:46:18     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for tab-close-button in tabs_bar. - 1 == 1 - 
[task 2021-09-03T13:46:18.782Z] 13:46:18     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for back-button in nav_bar. - 2 == 2 - 
[task 2021-09-03T13:46:18.782Z] 13:46:18     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for 12foo in nav_bar. - 1 == 1 - 
[task 2021-09-03T13:46:18.783Z] 13:46:18     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for stop-reload-button in nav_bar. - 1 == 1 - 
[task 2021-09-03T13:46:18.783Z] 13:46:18     INFO - Buffered messages finished
[task 2021-09-03T13:46:18.784Z] 13:46:18     INFO - TEST-UNEXPECTED-FAIL | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for bookmark-item in bookmarks_bar. - "undefined" == 1 - JS frame :: chrome://mochitests/content/browser/browser/modules/test/browser/browser_UsageTelemetry_interaction.js :: assertInteractionScalars :: line 47
[task 2021-09-03T13:46:18.784Z] 13:46:18     INFO - Stack trace:
[task 2021-09-03T13:46:18.784Z] 13:46:18     INFO - chrome://mochitests/content/browser/browser/modules/test/browser/browser_UsageTelemetry_interaction.js:assertInteractionScalars:47
[task 2021-09-03T13:46:18.784Z] 13:46:18     INFO - chrome://mochitests/content/browser/browser/modules/test/browser/browser_UsageTelemetry_interaction.js:toolbarButtons/<:120
[task 2021-09-03T13:46:18.785Z] 13:46:18     INFO - Leaving test bound toolbarButtons
[task 2021-09-03T13:46:18.785Z] 13:46:18     INFO - Entering test bound contextMenu
[task 2021-09-03T13:46:19.012Z] 13:46:19     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for context-toggleMuteTab in tabs_context. - 1 == 1 - 
[task 2021-09-03T13:46:19.041Z] 13:46:19     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for toolbar-context-selectAllTabs in tabs_context. - 1 == 1 - 
[task 2021-09-03T13:46:19.060Z] 13:46:19     INFO - Leaving test bound contextMenu
[task 2021-09-03T13:46:19.060Z] 13:46:19     INFO - Entering test bound appMenu
[task 2021-09-03T13:46:19.414Z] 13:46:19     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for PanelUI-menu-button in nav_bar. - 1 == 1 - 
[task 2021-09-03T13:46:19.429Z] 13:46:19     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for appMenu-find-button2 in app_menu. - 1 == 1 - 
[task 2021-09-03T13:46:19.438Z] 13:46:19     INFO - Leaving test bound appMenu
[task 2021-09-03T13:46:19.439Z] 13:46:19     INFO - Entering test bound devtools
[task 2021-09-03T13:46:19.730Z] 13:46:19     INFO - Console message: [JavaScript Error: "NotFoundError: Could not get children of file(C:\Users\task_163067444888868\AppData\Local\Temp\tmpdywr7uay.mozrunner\UAppData\Crash Reports\events) because it does not exist" {file: "resource://gre/modules/CrashManager.jsm" line: 610}]
[task 2021-09-03T13:46:19.730Z] 13:46:19     INFO - _getUnprocessedEventsFiles/<@resource://gre/modules/CrashManager.jsm:610:12
[task 2021-09-03T13:46:19.730Z] 13:46:19     INFO - 
[task 2021-09-03T13:46:20.100Z] 13:46:20     INFO - GECKO(7724) | IPDL protocol error: Handler returned error code!
[task 2021-09-03T13:46:20.106Z] 13:46:20     INFO - GECKO(7724) | ###!!! [Parent][DispatchAsyncMessage] Error: PClientManager::Msg_ExpectFutureClientSource Processing error: message was deserialized, but the handler returned false (indicating failure)
[task 2021-09-03T13:46:20.118Z] 13:46:20     INFO - GECKO(7724) | IPDL protocol error: Handler returned error code!
[task 2021-09-03T13:46:20.122Z] 13:46:20     INFO - GECKO(7724) | ###!!! [Parent][DispatchAsyncMessage] Error: PClientManager::Msg_ForgetFutureClientSource Processing error: message was deserialized, but the handler returned false (indicating failure)
[task 2021-09-03T13:46:20.134Z] 13:46:20     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for PanelUI-menu-button in nav_bar. - 1 == 1 - 
[task 2021-09-03T13:46:20.137Z] 13:46:20     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for appMenu-more-button2 in app_menu. - 1 == 1 - 
[task 2021-09-03T13:46:20.138Z] 13:46:20     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for key-viewSource in app_menu. - 1 == 1 - 
[task 2021-09-03T13:46:20.144Z] 13:46:20     INFO - Leaving test bound devtools
[task 2021-09-03T13:46:20.144Z] 13:46:20     INFO - Entering test bound webextension
[task 2021-09-03T13:46:20.447Z] 13:46:20     INFO - Extension loaded
[task 2021-09-03T13:46:20.484Z] 13:46:20     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for addon0 in nav_bar. - 1 == 1 - 
[task 2021-09-03T13:46:20.504Z] 13:46:20     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for addon0 in pageaction_urlbar. - 1 == 1 - 
[task 2021-09-03T13:46:20.508Z] 13:46:20     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for addon0 in keyboard. - 1 == 1 - 
[task 2021-09-03T13:46:20.584Z] 13:46:20     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for addon0 in keyboard. - 1 == 1 - 
[task 2021-09-03T13:46:20.593Z] 13:46:20     INFO - Extension loaded
[task 2021-09-03T13:46:20.622Z] 13:46:20     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for addon1 in nav_bar. - 1 == 1 - 
[task 2021-09-03T13:46:20.630Z] 13:46:20     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for addon1 in pageaction_urlbar. - 1 == 1 - 
[task 2021-09-03T13:46:20.635Z] 13:46:20     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for addon1 in keyboard. - 1 == 1 - 
[task 2021-09-03T13:46:20.636Z] 13:46:20     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for addon0 in nav_bar. - 1 == 1 - 
[task 2021-09-03T13:46:20.641Z] 13:46:20     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for addon0 in keyboard. - 1 == 1 - 
[task 2021-09-03T13:46:20.642Z] 13:46:20     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for addon0 in pageaction_urlbar. - 1 == 1 - 
[task 2021-09-03T13:46:20.654Z] 13:46:20     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for addon1 in nav_bar. - 2 == 2 - 
[task 2021-09-03T13:46:20.658Z] 13:46:20     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for addon1 in pageaction_urlbar. - 1 == 1 - 
[task 2021-09-03T13:46:20.664Z] 13:46:20     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for addon1 in keyboard. - 1 == 1 - 
[task 2021-09-03T13:46:20.677Z] 13:46:20     INFO - Leaving test bound webextension
[task 2021-09-03T13:46:20.680Z] 13:46:20     INFO - Entering test bound mainMenu
[task 2021-09-03T13:46:21.032Z] 13:46:21     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for menu-selectAll in menu_bar. - 1 == 1 - 
[task 2021-09-03T13:46:21.051Z] 13:46:21     INFO - Leaving test bound mainMenu
[task 2021-09-03T13:46:21.052Z] 13:46:21     INFO - Entering test bound preferences
[task 2021-09-03T13:46:21.249Z] 13:46:21     INFO - GECKO(7724) | JavaScript error: resource://testing-common/AppData.jsm, line 68: NS_ERROR_FAILURE:
[task 2021-09-03T13:46:21.265Z] 13:46:21     INFO - Console message: [JavaScript Error: "NS_ERROR_FAILURE: " {file: "resource://testing-common/AppData.jsm" line: 68}]
[task 2021-09-03T13:46:21.265Z] 13:46:21     INFO - getFile@resource://testing-common/AppData.jsm:68:24
[task 2021-09-03T13:46:21.265Z] 13:46:21     INFO - _getDirectory@resource://gre/modules/DownloadIntegration.jsm:958:28
[task 2021-09-03T13:46:21.266Z] 13:46:21     INFO - getSystemDownloadsDirectory@resource://gre/modules/DownloadIntegration.jsm:334:41
[task 2021-09-03T13:46:21.266Z] 13:46:21     INFO - D_getSystemDownloadsDirectory@resource://gre/modules/Downloads.jsm:274:32
[task 2021-09-03T13:46:21.266Z] 13:46:21     INFO - _getDownloadsFolder@chrome://browser/content/preferences/main.js:3101:44
[task 2021-09-03T13:46:21.266Z] 13:46:21     INFO - _indexToFolder@chrome://browser/content/preferences/main.js:3142:21
[task 2021-09-03T13:46:21.266Z] 13:46:21     INFO - displayDownloadDirPrefTask@chrome://browser/content/preferences/main.js:3073:54
[task 2021-09-03T13:46:21.266Z] 13:46:21     INFO - 
[task 2021-09-03T13:46:21.465Z] 13:46:21     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for browserRestoreSession in preferences_paneGeneral. - 1 == 1 - 
[task 2021-09-03T13:46:21.477Z] 13:46:21     INFO - TEST-PASS | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | Expected to see the correct value for searchBarShownRadio in preferences_paneSearch. - 1 == 1 - 
[task 2021-09-03T13:46:21.491Z] 13:46:21     INFO - Leaving test bound preferences
[task 2021-09-03T13:46:21.513Z] 13:46:21     INFO - GECKO(7724) | MEMORY STAT | vsize 2104305MB | vsizeMaxContiguous 65808914MB | residentFast 313MB | heapAllocated 149MB
[task 2021-09-03T13:46:21.527Z] 13:46:21     INFO - TEST-OK | browser/modules/test/browser/browser_UsageTelemetry_interaction.js | took 3545ms
[task 2021-09-03T13:46:21.535Z] 13:46:21     INFO - checking window state
[task 2021-09-03T13:46:21.542Z] 13:46:21     INFO - TEST-START | browser/modules/test/browser/browser_UsageTelemetry_private_and_restore.js
Flags: needinfo?(gijskruitbosch+bugs)

As my bugzilla name says, I'm out for the next 2 weeks, so I can't look into this myself. I've cleared the priority so this bug will show up in triage meetings that are continuing without me.

It'd help if we had some idea of what tripped this test going orange again - do we have a regression window for that? The test itself hasn't changed since May, nor has head.js, so was there a change to the code under the test in the window where the test's orange restarted (comment 5/6)?

Flags: needinfo?(gijskruitbosch+bugs) → needinfo?(mlaza)
Priority: P3 → --

The bug was reopened for a fail on macosx1100-64-shippable-qr but on that platform the failure rate is quite low (done some retrigers here) - last fail was on 31 aug, the majority of the failures nowadays are on windows10-64-2004-qr/shippable-qr where it was enabled with this change.

There are no test related modifications, only new platform that the tests are running on. Before 7th of August (this push) no jobs have run on that platform, we cannot add jobs before that push... maybe it started after some modifications on Bug 1714200?

Michelle, could you please have a look at this?

Flags: needinfo?(mlaza)
Flags: needinfo?(michelle)
Flags: needinfo?(gijskruitbosch+bugs)
Flags: needinfo?(gijskruitbosch+bugs)

I believe I removed the disable line as the a failures job (it runs all skipped tests) showed that it was passing a lot.
If it fails too much if you prefer I can disable it again. Otherwise the best course of action is to NI whoever owns that test, or the triage owner and investigate why it fails on Windows 10 2004 (on Azure) suddenly.

I do not have access to Bug 1714200, so that I cannot look at unfortunately on if it's related or the cause or anything.

Flags: needinfo?(michelle) → needinfo?(mlaza)

For now it has around 30 failures/per week and it's not in disabled recommended territory. We'll see if someone is taking over from Gijs until he has the time to look into it.

Flags: needinfo?(mlaza)
Priority: -- → P3

Hi Mike, any chance we can get this looked at? It now has 132 failures over the last 30 days and it's in the disable recommended queue.
If needed I can put up a patch to disable this on the affected platforms (windows10-64-2004-qr/shippable-qr and macosx1100-64-shippable-qr) until a fix is in place. Thank you.

Flags: needinfo?(mconley)

Let me take a look at this today.

I think I have a solution. Patch shortly.

Assignee: nobody → mconley
Flags: needinfo?(mconley)

This test was brittle for a few reasons:

  1. The bookmarks toolbar is, by default, configured to show and hide
    depending on whether or not about:home/about:newtab is displayed.
    This meant that sometimes when trying to click on a bookmark
    toolbar item, a transition from the visible-to-collapsed or
    collapsed-to-visible state would be underway, and the click
    event would ultimately miss its mark.
  2. The bookmarks toolbar also populates itself lazily, so the test has
    been adjusted to ensure that there are items in the toolbar before
    it attempts to click on one.
Whiteboard: [stockwell disable-recommended] → [stockwell needswork:owner]
Pushed by mconley@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/23d4f0d55e23
Make browser_UsageTelemetry_interaction.js less susceptible to intermittent failure. r=mtigley,Gijs
Status: REOPENED → RESOLVED
Closed: 6 months ago2 months ago
Resolution: --- → FIXED
Target Milestone: --- → 94 Branch
You need to log in before you can comment on or make changes to this bug.